/* Copyright (c) 2001-2004 by SoftIntegration, Inc. All Rights Reserved */
/* a sample program that assigns NaN (not a number) to x 
and decide if it is NaN. */
#include <math.h>
#include <stdio.h>

int main() {
    double x;
    
    x = NaN;
    if(isnan(x)) printf("%f is not a number\n",x);
}
